Update a unified invoice
Authorization
bearerAuth AuthorizationBearer <token>
In: header
Path Parameters
unifiedInvoiceId*string
Request Body
application/json
amount_due?string|null
Total amount due for the invoice.
amount_paid?string|null
Amount paid for the invoice.
amount_remaining?string|null
Remaining amount to be paid.
amount_overpaid?string|null
Amount overpaid for the invoice.
currency?string|null
Currency code for the invoice.
status?string|null
Status of the invoice.
description?string|null
Description or notes for the invoice.
due_date?string|null
Due date for the invoice.
Format
date-timeeffective_date?string|null
Effective date for the invoice.
Format
date-timeperiod_start?string|null
Start date of the invoice period.
Format
date-timeperiod_end?string|null
End date of the invoice period.
Format
date-timeunified_customer_id?string|null
Related unified customer ID.
Response Body
application/json
curl -X PUT "https://dev-backend.thelinks.ai/api/v1/unified/invoice/string" \ -H "Content-Type: application/json" \ -d '{}'{
"data": {
"id": "inv_12345",
"source_system": "xero",
"source_system_img_url": "https://cdn.example.com/xero.png",
"source_id": "xero_98765",
"external_system_provider_id": "provider_001",
"external_system_config_id": "config_abc",
"external_system_data": {
"custom_field": "value"
},
"supporting_data_definition_id": "support_001",
"amount_due": "12000.00",
"amount_paid": "12000.00",
"amount_remaining": "0.00",
"amount_overpaid": "0.00",
"currency": "USD",
"status": "PAID",
"description": "Invoice for January 2024",
"due_date": "2024-01-31T00:00:00Z",
"effective_date": "2024-01-01T00:00:00Z",
"period_start": "2024-01-01T00:00:00Z",
"period_end": "2024-01-31T00:00:00Z",
"is_primary": true,
"unified_customer_id": "cust_12345",
"source_system_customer_id": "ext_cust_67890",
"local_was_deleted": false,
"local_was_updated": true,
"source_data_created_at": "2024-01-01T12:00:00Z",
"is_active": true
}
}Empty
Empty